Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000161 [libFirm] backend minor always 2015-11-06 14:19 2016-01-03 03:28
Reporter jonashaag View Status public  
Assigned To Matze
Priority normal Resolution fixed  
Status closed   Product Version
Summary 0000161: -m32: Compiling C/kr2.c with -O1 causes segfault
Description $ cparser-master/build/debug/cparser C/kr2.c -m32 -O2
[works fine]

$ cparser-master/build/debug/cparser C/kr2.c -m32 -O1
[segfaults]
Additional Information     frame #0: 0x00000000005752ba cparser`get_kind(firm_thing=0x0000000000000000) + 12 at firm_common.c:16
    frame 0000001: 0x00000000005112ac cparser`get_irn_opcode_(node=0x0000000000000000) + 24 at irnode_t.h:385
    frame 0000002: 0x00000000005118b0 cparser`is_liveness_node(irn=0x0000000000000000) + 24 at irlivechk.h:39
    frame 0000003: 0x0000000000512831 cparser`liveness_for_node(irn=0x0000000000a6b5b0) + 99 at belive.c:220
    frame 0000004: 0x0000000000512b5f cparser`be_liveness_compute_sets(lv=0x0000000000a51060) + 289 at belive.c:283
    frame 0000005: 0x00000000005858fc cparser`be_assure_live_sets(irg=0x0000000000a24720) + 44 at beirg.c:31
    frame 0000006: 0x000000000065dc25 cparser`be_peephole_opt(irg=0x0000000000a24720) + 24 at bepeephole.c:404
    frame 0000007: 0x00000000006908f0 cparser`ia32_peephole_optimization(irg=0x0000000000a24720) + 250 at ia32_optimize.c:933
    ...
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000237)
UniQ (developer)
2015-11-06 22:43

Looks like broken out edges.
(Adding edges_deactivate(irg); edges_activate(irg); "solves" the problem.)
(0000239)
Matze (administrator)
2015-12-16 10:16

Fixed in 926630032978de30955e525b15782ca97202f110

- Issue History
Date Modified Username Field Change
2015-11-06 14:19 jonashaag New Issue
2015-11-06 22:43 UniQ Note Added: 0000237
2015-11-06 22:43 UniQ Status new => confirmed
2015-12-16 10:16 Matze Note Added: 0000239
2015-12-16 10:16 Matze Assigned To => Matze
2015-12-16 10:16 Matze Status confirmed => resolved
2015-12-16 10:16 Matze Resolution open => fixed
2016-01-03 03:28 Matze Status resolved => closed


Mantis 1.1.5[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker